% @Description: Phidget 888 de-initialization function
% 
% Modified from the Phidgets Matlab guide
%
% @Version: 1.0
% @Author: Joe Romano
% @Date: 2-6-09
%
% @Version: 2.0
% @Author: Jonathan Fiene
% @Date: 9-12-10

if exist('IKhandle','var')
    % clean up
    calllib('phidget21', 'CPhidget_close', IKhandle);
    calllib('phidget21', 'CPhidget_delete', IKhandle);

    %unloading the library too quickly causes issues.
    unloadlibrary phidget21;
    clear global IKhandle ptr;
    disp('Phidget IK888 stop: SUCCESS');
else
    disp('Nothing done - Phidget IK888 already stopped (or never started).');
end
